Package twisted :: Package python :: Module components :: Class MetaInterface

[show private | hide private]
[frames | no frames]

## Class MetaInterface

    object --+
             |
          type --+
                 |
                MetaInterface

Method Summary
| ``__call__`(self, adaptable, default, persist, registry)` Try to adapt `adaptable' to self; return `default' if it was passed, otherwise raise `CannotAdapt`.
a new object with type S, a subtype of T | ``__new__`(S, ...)` T.__new__(S, ...) -> a new object with type S, a subtype of T

Method Details

### __call__(self, adaptable, default=<class twisted.python.components._Nothing at..., persist=None, registry=None)
(Call operator)

Try to adapt `adaptable' to self; return `default' if it was passed, otherwise raise `CannotAdapt`.

### __new__(S, ...)

T.__new__(S, ...) -> a new object with type S, a subtype of T

  Returns:
    a new object with type S, a subtype of T

Generated by Epydoc 1.1 on Thu May 8 13:18:56 2003 | http://epydoc.sf.net